Skip to main content
PUT
/
api
/
v1
/
questions
/
{question_id}
Update Question
curl --request PUT \
  --url https://api.getversive.com/api/v1/questions/{question_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "Updated content?",
  "type": "text",
  "interviewer_notes": "Ask specifically about..."
}
'
{
  "detail": [
    {
      "loc": [
        "body",
        "title"
      ],
      "msg": "field required",
      "type": "value_error.missing"
    }
  ]
}
Update the content or properties of a specific question.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

question_id
string
required

Body

application/json
content
string | null
interviewer_notes
string | null
display_order
integer | null
props
Props · object

Response

Successful Response